## org.aspectj.weaver.loadtime
Class ConcreteAspectCodeGen

    java.lang.Object
      org.aspectj.weaver.loadtime.ConcreteAspectCodeGen

    public class ConcreteAspectCodeGen

extends java.lang.Object

Generates bytecode for concrete-aspect.

The concrete aspect is generated annotation style aspect (so traditional Java constructs annotated with our AspectJ annotations). As it is built during aop.xml definitions registration we perform the type munging for perclause, ie. aspectOf() artifact directly, instead of waiting for it to go thru the weaver (that we are in the middle of configuring).

Author:
  Alexandre Vasseur, Andy Clement

Method Summary
`byte[]` `getBytes()` Build the bytecode for the concrete aspect
`java.lang.String` `getClassName()`
`boolean` `validate()` Checks that concrete aspect is valid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### validate

    public boolean validate()

  Checks that concrete aspect is valid.

  Returns:
    true if ok, false otherwise

### getClassName

    public java.lang.String getClassName()

### getBytes

    public byte[] getBytes()

  Build the bytecode for the concrete aspect

  Returns:
    concrete aspect bytecode